package com.zsc.edu.gateway.modules.system.repo;

import com.zsc.edu.gateway.modules.system.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Yao
 * @since 2023-04-06
 */
public interface UserRepository extends BaseMapper<User> {
    User selectByUsername(String username);

    @Select("select sys_user.name from sys_user where sys_user.id=#{id}")
    static String selectNameById(Long id) {
        return null;
    }

}
